package it.danieleverducci.openweddingapp.ui.info

import android.service.autofill.TextValueSanitizer
import android.widget.TextView
import it.danieleverducci.openweddingapp.R
import it.danieleverducci.openweddingapp.ui.StaticFragment

class PrivacyFragment: StaticFragment() {

    override fun getLayoutResource(): Int {
        return R.layout.fragment_privacy
    }

    override fun onResume() {
        super.onResume()

        // Load privacy agreement from resources
        view?.findViewById<TextView>(R.id.privacy_content)?.text =
            context?.resources?.openRawResource(R.raw.privacy)?.bufferedReader().use {
                it?.readText()
            }
    }

}